Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 07/02/2024 in all areas

  1. If you plan on doing university for architecture, you will probably have a good chance of landing employment, check with the university, lots of companies get students to work for them on a full time and/or part time basis, at least here in the USA. Getting some online experience and working through tutorials, etc. plus showing you are doing the schooling for a degree in architecture would go a long way toward getting hired. I am completely self taught for AutoCAD as well as 3D CAD and modeling, though I have a mechanical degree and started on board drafting, I started out working in machine shops and doing fabrication and welding. Forums like CADTutor, Autodesk and others are great for help when you hit any roadblocks along the way.
    1 point
  2. Go a I7 and look for say a NVIDIA graphics card, maybe look at a AMD offering. We at one stage had to replace computers when we did a Acad upgrade as the inbuilt Intel graphics was a problem.
    1 point
  3. You may be better using a entmake to create your style. 2 examples. You can do this as a defun for multiple dimstyles just set the variable to a value eg (cons 2 dname) (if (not (tblsearch "dimstyle" "TA-DIM-60")) (entmake (list (cons 0 "DIMSTYLE") (cons 100 "AcDbSymbolTableRecord") (cons 100 "AcDbDimStyleTableRecord") (cons 2 "TA-DIM-60") (cons 70 0) (cons 7 "Arial") (cons 40 1.0) (cons 41 2.0) (cons 46 2) (cons 140 2.5) (cons 340 (tblobjname "Style" "Arial")) ) ) ) You dont have to have every single property. (entmake (list (cons 0 "DIMSTYLE") (cons 100 "AcDbSymbolTableRecord") (cons 100 "AcDbDimStyleTableRecord") (cons 2 Dim_Name) ;Dim style name (cons 70 0) ; Standard flag (cons 3 " [m]"); DIMPOST (cons 4 ""); DIMAPOST (cons 5 DIMBLK-Name) ;DIMBLK-Name of block instead of default arrowhead (cons 6 DIMBLK-Name);(cons 6 "ClosedFilled"); DIMBLK1 (cons 7 "Standard") ; text style name (cons 170 0) ;DIMALT-turns off alternate units (cons 40 dimscale) ;DIMSCALE-sets the overall scale factor applied to all dimensions (cons 41 Arrow_Size) ;DIMASZ-sets the size of the arrow/tick (cons 42 Extension_Line_Origin_Offset); DIMEXO (cons 43 Dimension_Line_Spacing); DIMDLI (cons 44 Extension_Above_Dimension_Line) ;DIMEXE-specifies how far to extend the extention line beyound the dim line (cons 45 0.0); DIMRND (cons 46 0) ;DIMDLE-sets the distance the dimension line extends beyond the extension line (cons 47 0.0); DIMTP (cons 48 0.0); DIMTM (cons 71 0); DIMTOL (cons 72 0); DIMLIM (cons 73 0) ;DIMTIH-controls the position of dimension text inside extention lines ;METTE IL TESTO DI QUOTA ORIZZONTALE (cons 74 0) ;DIMTOH-controls the position of dimension text outside extention lines (cons 75 1); DIMSE1 ;1 sopprime la linea di estensione, 0 la lascia (cons 76 1); DIMSE2 ;1 sopprime la linea di estensione, 0 la lascia (cons 77 1) ;DIMTAD-controls the vertical position of text in relation to the dim line (cons 78 3) ;DIMZIN-controls the suppression of zeros (cons 79 1); DIMAZIN (cons 140 Text_Height) ;DIMTXT-specifies the height of the text in the dim (cons 141 Center_Mark_Size); DIMCEN (cons 142 0.0); DIMTSZ (cons 143 0.5) ;DIMALTF-controls the scale factor for alt. units (cons 144 quote_scale); DIMLFAC ;scala di quota (cons 145 0.0); DIMTVP (cons 146 0.64); DIMTFAC (cons 147 Gap_From_dimension_Line_to_Text) ;DIMGAP-sets the distance from around the dim text (cons 170 0); DIMALT (cons 171 2) ;DIMALTD-controls the decimal places for units (cons 172 0) ;DIMTOFL-forces a line inside extension lines (cons 173 1); DIMSAH (cons 174 0); DIMTIX (cons 175 0); DIMSOXD (cons 176 256); DIMCLRD (cons 177 256); DIMCLRE (cons 178 256); DIMCLRT color of text (cons 179 0); DIMADEC (cons 270 2) ;DIMUNIT-sets the units format for all dims ;2 decimale ; 4architettonico (cons 271 Decimal_Places) ;DIMDEC-sets the number of decimal places of primary units (cons 272 Tolerance_Decimal_places); DIMTDEC (cons 273 2) ;DIMALTU-sets the units for alt. units (cons 275 0) ;DIMAUNIT-sets the angular format for angular dims (cons 276 1); DIMFRAC (cons 277 2); DIMLUNIT ;2 decimale ; 4architettonico (cons 278 0); DIMDSEP (cons 279 Text_Movement); DIMTMOVE (cons 280 0) ;DIMJUST-controls the horizontal positioning of dim text (cons 281 -1); DIMSD1 (cons 282 -1); DIMSD2 (cons 283 1); DIMTOLJ (cons 284 3); DIMTZIN (cons 285 1); DIMALTZ (cons 286 0) ;DIMALTTZ-Toggles the suppression in tolerance values ;(cons 287 0); DIMFIT ;(cons 288 0); DIMUPT ;(cons 289 0); DIMATFIT (cons 340 (tblobjname "style" "Estilo_Cotas")); DIMTXSTY ;(cons 341 (cdr (assoc 330 (entget (tblobjname "block" "."))))); DIMLDRBLK ;(cons 342 (cdr (assoc 330 (entget(tblobjname "block" "_Oblique"))))); DIMBLK must setvar dimblk 1st ;(cons 343 (cdr (assoc 330 (entget(tblobjname "block" "_Oblique"))))); DIMBLK1 ;(cons 344 (cdr (assoc 330 (entget(tblobjname "block" "_Oblique"))))); DIMBLK2 ;(cons 371 -2); DIMLWD ;(cons 372 -2); DIMLWE ) )
    1 point
  4. Here is a start, I have now jumped to points, what I will do is provide a code sample but will provide a Word.doc with the sub entities highlighted via VLAX-DUMP so you can see down the tree and add any "Components" settings that you may want to customise, I need to do this as point styles with say 8 components and around 6+ items = 48+ variables. Maybe even code in a tree pasting into Autocad DWG. One thing I have come across is using blocks in label styles a problem with rescaling meant changing 8 components. See below (defun getstyleinfo (count stname / stylname lp lay layname) ;Get the Style info and write out (setq x 0) (repeat count (setq style (vlax-get-property lls 'Item x)) ; count is number of styles start at 0 (setq stylname (vla-get-Name style)); is style name ;Get the Label Properties (setq lp (vlax-get-property style 'LabelProperties)) ;Get the Aecc Layer Properties (setq lay (vlax-get-property lp 'Layer)) ;Get the Name of the Layer (setq layname (vlax-get-property lay 'Value)) (write-line (strcat stname "," stylname "," layname) fo) (setq x (+ x 1)) ) ) (load "vercheck") (AH:vercheck) ;Get the Alignment Label Styles (setq als (vlax-get-property *AeccDoc* 'AlignmentLabelStyles)) ; Property values: ; CurveLabelStyles ; DesignSpeedLabelStyles ; GeometryPointLabelStyles ; LineLabelStyles ; MajorStationLabelStyles ; MinorStationLabelStyles ; SpiralLabelStyles ; StationEquationLabelStyles ; StationOffsetLabelStyles ; TangentIntersectionLabelStyles (setq fo (open "c:\\temp\\aligns2.lst" "W")) ;Get the Line Label Styles (setq stname "CurveLabelStyles") (setq lls (vlax-get-property als 'CurveLabelStyles)) (setq count (vla-get-count lls)) ; is how many style names (getstyleinfo count stname) (setq stname "DesignSpeedLabelStyles") (setq lls (vlax-get-property als 'DesignSpeedLabelStyles)) (setq count (vla-get-count lls)) ; is how many style names (getstyleinfo count stname) (setq stname "GeometryPointLabelStyles") (setq lls (vlax-get-property als 'GeometryPointLabelStyles)) (setq count (vla-get-count lls)) ; is how many style names (getstyleinfo count stname) (setq stname "LineLabelStyles") (setq lls (vlax-get-property als 'LineLabelStyles)) (setq count (vla-get-count lls)) ; is how many style names (getstyleinfo count stname) (setq stname "MajorStationLabelStyles") (setq lls (vlax-get-property als 'MajorStationLabelStyles)) (setq count (vla-get-count lls)) ; is how many style names (getstyleinfo count stname) (setq stname "CurveLabelStyles") (setq lls (vlax-get-property als 'CurveLabelStyles)) (setq count (vla-get-count lls)) ; is how many style names (getstyleinfo count stname) (setq stname "MinorStationLabelStyles") (setq lls (vlax-get-property als 'MinorStationLabelStyles)) (setq count (vla-get-count lls)) ; is how many style names (getstyleinfo count stname) (setq stname "SpiralLabelStyles") (setq lls (vlax-get-property als 'SpiralLabelStyles)) (setq count (vla-get-count lls)) ; is how many style names (getstyleinfo count stname) (setq stname "StationEquationLabelStyles") (setq lls (vlax-get-property als 'StationEquationLabelStyles)) (setq count (vla-get-count lls)) ; is how many style names (getstyleinfo count stname) (setq stname "TangentIntersectionLabelStyles") (setq lls (vlax-get-property als 'TangentIntersectionLabelStyles)) (setq count (vla-get-count lls)) ; is how many style names (getstyleinfo count stname) (close fo) (princ) img-218115827-0001.pdf
    1 point
×
×
  • Create New...